Bug 12643 - ошибки при копировании файлов
: ошибки при копировании файлов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkbootflash)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-28 09:51 by
Modified: 2011-01-24 19:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-28 09:51:02
# rpm -q mkbootflash
mkbootflash-0.7-alt1


# mkbootflash -i -p /var/ftp/pub/ALTLinux/4.0/Desktop/current/i586/ /dev/sdj1
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/." 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/16x16.fnt" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/back.jpg" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/boot.cat" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/bootlogo" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/en.hlp" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/en.tr" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/gfxboot.cfg" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/init" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/isolinux.bin" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/kroete.dat" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/lang" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/languages" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/memtest" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/pabout.txt" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/panim.jpg" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/panim_a.jpg" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/pback.jpg" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/phead.jpg" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/ru.hlp" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/ru.tr" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text1.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text2a.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text2b.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text2c.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text3.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text4a.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text4b.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/text4c.pcx" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/timer_a.jpg" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/uk.hlp" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/uk.tr" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/welcome.jpg" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/alt0" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/.isolinux.cfg.uITvRB" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/alt0/full.cz" 
failed: Operation not permitted (1)
rsync: 
chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/alt0/vmlinuz" 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/." 
failed: Operation not permitted (1)
rsync: chown "/tmp/.private/root/mkbootflash-mount.Ktrsj20936/syslinux/alt0" 
failed: Operation not permitted (1)
rsync error: some files could not be transferred (code 23) at main.c(980) 
[sender=2.6.9]
can't copy /var/ftp/pub/ALTLinux/4.0/Desktop/current/i586//isolinux 
to /tmp/.private/root/mkbootflash-mount.Ktrsj20936
#
------- Comment #1 From 2007-09-27 11:30:59 -------
fixed in mkbootflash-0.8-alt1
------- Comment #2 From 2008-07-02 13:19:42 -------
Подобный баг на mkbootflash-0.8-alt1. rsync запускается с опцией "-a", что
приводит к:
rsync: mkstemp "/mnt/disk/syslinux/.16x16.fnt.Wup2JU" failed: Operation not
permitted (1)
rsync: mkstemp "/mnt/disk/syslinux/.back.jpg.6hnp8D" failed: Operation not
permitted (1)
rsync: mkstemp "/mnt/disk/syslinux/.boot.cat.KWS9kn" failed: Operation not
permitted (1)

и т.д.

sed -i -e "s,rsync -a,rsync -r" /usr/sbin/mkbootflash
решило проблему.
------- Comment #3 From 2011-01-24 19:25:36 -------
Не воспроизводится:
mkbootflash-0.18-alt1

Сейчас опции rsync: "-a --no-o"

Переоткройте и опишите подробно если воспроизведется